Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetGroupCallParticipantVolumeLevel

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SetGroupCallParticipantVolumeLevel

Enclosing class:
  TdApi

public static final class TdApi.SetGroupCallParticipantVolumeLevel extends TdApi.Function<TdApi.Ok>
Changes volume level of a participant of an active group call. If the current user can manage the group call, then the participant's volume level will be changed for all users with the default volume level.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`groupCallId`
Group call identifier.
`TdApi.MessageSender`
`participantId`
Participant identifier.
`int`
`volumeLevel`
New participant's volume level; 1-20000 in hundreds of percents.

## Constructor Summary

Constructors
Constructor
Description
`SetGroupCallParticipantVolumeLevel()`
Changes volume level of a participant of an active group call.
`SetGroupCallParticipantVolumeLevel(int groupCallId, TdApi.MessageSender participantId, int volumeLevel)`
Changes volume level of a participant of an active group call.
`SetGroupCallParticipantVolumeLevel(DataInput input)`
Changes volume level of a participant of an active group call.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### groupCallId

public int groupCallId
Group call identifier.

### participantId

public TdApi.MessageSender participantId
Participant identifier.

### volumeLevel

public int volumeLevel
New participant's volume level; 1-20000 in hundreds of percents.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SetGroupCallParticipantVolumeLevel

public SetGroupCallParticipantVolumeLevel()
Changes volume level of a participant of an active group call. If the current user can manage the group call, then the participant's volume level will be changed for all users with the default volume level.

Returns `Ok`

### SetGroupCallParticipantVolumeLevel

public SetGroupCallParticipantVolumeLevel(int groupCallId, TdApi.MessageSender participantId, int volumeLevel)
Changes volume level of a participant of an active group call. If the current user can manage the group call, then the participant's volume level will be changed for all users with the default volume level.

Returns `Ok`

Parameters:
  `groupCallId` - Group call identifier.
  `participantId` - Participant identifier.
  `volumeLevel` - New participant's volume level; 1-20000 in hundreds of percents.

  Returns `Ok`

### SetGroupCallParticipantVolumeLevel

public SetGroupCallParticipantVolumeLevel(DataInput input) throws IOException
Changes volume level of a participant of an active group call. If the current user can manage the group call, then the participant's volume level will be changed for all users with the default volume level.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`